WPML Multilingual CMS

Hi nov7,

We would LOVE to update to its latest version, but we encountered an issue with the activation with its latest version. We’re unable to bypass the security in its latest version, as it’s making a lot of server API calls. We will update the file as soon as possible once we got a solution for this.

Please read this topic for more information:

Hello I am using verison 4.6.8 and when setting up the plugin i get Unable to register: Site key not matching

WPML Multilingual CMS has been updated to 4.6.9.

Please update WPML Multilingual CMS 4.6.9 to 4.6.9… @Steve

How to solve these problems: I installed version 4.5.14 GPL, after installing it, I updated it to the recent version.

@Steve can you please check and update this source?

Please update WPML Multilingual CMS 4.6.9 to this plugins need Site key. @Steve

this plugin need activation site key, could you please update this plugin again

I appreciated

  1. First, uninstall your installed WPML plugin.
  2. Download this version 4.6.7 from link below and upload this old to your site.
    WPML Multilingual CMS WordPress Plugin v4.6.7 OK
  3. Enable the WMPL plugin and try “1234567890” as the key in step 3.
  4. Complete the activation and installation processes.
  5. Then Download the latest version 4.6.9 and install it from the plugin page .
  6. Since the plugin has been installed before, the version will be updated.
  7. The process is that simple.

Hello , i tried to follow your instructions as well but when i tried to upload the V4.6.7 OK , it says “Incompatible Archive.” and plugin can’t be uploaded or installed , but when i tried to install the latest version same issue i face to enter the key and tried a lot but gives same issue , please help how to install and active WPML?

Hi mahmoud0,
We will update the file as soon as possible once we got a solution for this.

ok , just checking up , did u update it?

Unable to register: Site key not matching

You can enter any key in order to activate this plugin.

Hello guys i updated 4.6.9, but it says

“Server error. Please refresh and try again.”

Ekran Resmi 2024-02-09 17.30.47

When installing and activating WPML, the plugin ask for Site key to continue with configuration

@Steve would you be able to check this issue, please?

  1. First, uninstall your installed WPML plugin.
  2. Download this version 4.6.7 from link below and upload this old to your site.
    3.*WPML Multilingual CMS WordPress Plugin v4.6.7 OK **
  3. Enable the WMPL plugin and try “1234567890” as the key in step 3.
  4. Complete the activation and installation processes.
  5. Then Download the latest version 4.6.9 and install it from the plugin page .
  6. Since the plugin has been installed before, the version will be updated.
  7. The process is that simple.

After downloading and trying to upload the file WordPress show error “Incompatible Archive.”

WPML Multilingual CMS has been updated to 4.6.10. You can download this version from here.